Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class UnderlinePatterns

    java.lang.Object
      org.apache.poi.xwpf.usermodel.UnderlinePatterns

    public class UnderlinePatterns

extends java.lang.Object

Specifies the types of patterns which may be used to create the underline applied beneath the text in a run.

Author:
  Gisella Bronzetti

Field Summary
`static UnderlinePatterns` | `DASH` Specifies an underline consisting of a dashed line beneath all characters in this run.
`static UnderlinePatterns` | `DASH_DOT_DOT_HEAVY` Specifies an underline consisting of a series of thick dash, dot, dot characters beneath all characters in this run.
`static UnderlinePatterns` | `DASH_DOT_HEAVY` Specifies an underline consisting of a series of thick dash, dot characters beneath all characters in this run.
`static UnderlinePatterns` | `DASH_LONG` Specifies an underline consisting of long dashed characters beneath all characters in this run.
`static UnderlinePatterns` | `DASH_LONG_HEAVY` Specifies an underline consisting of thick long dashed characters beneath all characters in this run.
`static UnderlinePatterns` | `DASHED_HEAVY` Specifies an underline consisting of a series of thick dashes beneath all characters in this run.
`static UnderlinePatterns` | `DOT_DASH` Specifies an underline consisting of a series of dash, dot characters beneath all characters in this run.
`static UnderlinePatterns` | `DOT_DOT_DASH` Specifies an underline consisting of a series of dash, dot, dot characters beneath all characters in this run.
`static UnderlinePatterns` | `DOTTED` Specifies an underline consisting of a series of dot characters beneath all characters in this run.
`static UnderlinePatterns` | `DOTTED_HEAVY` Specifies an underline consisting of a series of thick dot characters beneath all characters in this run.
`static UnderlinePatterns` | `DOUBLE` Specifies an underline consisting of two lines beneath all characters in this run
`static UnderlinePatterns` | `NONE` Specifies no underline beneath this run.
`static UnderlinePatterns` | `SINGLE` Specifies an underline consisting of a single line beneath all characters in this run.
`static UnderlinePatterns` | `THICK` Specifies an underline consisting of a single thick line beneath all characters in this run.
`static UnderlinePatterns` | `WAVE` Specifies an underline consisting of a single wavy line beneath all characters in this run.
`static UnderlinePatterns` | `WAVY_DOUBLE` Specifies an underline consisting of a pair of wavy lines beneath all characters in this run.
`static UnderlinePatterns` | `WAVY_HEAVY` Specifies an underline consisting of a single thick wavy line beneath all characters in this run.
`static UnderlinePatterns` | `WORDS` Specifies an underline consisting of a single line beneath all non-space characters in the run.

Method Summary
`int` | `getValue()`
`static UnderlinePatterns` | `valueOf(int type)`
`static UnderlinePatterns[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLE

    public static final UnderlinePatterns SINGLE

  Specifies an underline consisting of a single line beneath all characters in this run.

### WORDS

    public static final UnderlinePatterns WORDS

  Specifies an underline consisting of a single line beneath all non-space characters in the run. There shall be no underline beneath any space character (breaking or non-breaking).

### DOUBLE

    public static final UnderlinePatterns DOUBLE

  Specifies an underline consisting of two lines beneath all characters in this run

### THICK

    public static final UnderlinePatterns THICK

  Specifies an underline consisting of a single thick line beneath all characters in this run.

### DOTTED

    public static final UnderlinePatterns DOTTED

  Specifies an underline consisting of a series of dot characters beneath all characters in this run.

### DOTTED_HEAVY

    public static final UnderlinePatterns DOTTED_HEAVY

  Specifies an underline consisting of a series of thick dot characters beneath all characters in this run.

### DASH

    public static final UnderlinePatterns DASH

  Specifies an underline consisting of a dashed line beneath all characters in this run.

### DASHED_HEAVY

    public static final UnderlinePatterns DASHED_HEAVY

  Specifies an underline consisting of a series of thick dashes beneath all characters in this run.

### DASH_LONG

    public static final UnderlinePatterns DASH_LONG

  Specifies an underline consisting of long dashed characters beneath all characters in this run.

### DASH_LONG_HEAVY

    public static final UnderlinePatterns DASH_LONG_HEAVY

  Specifies an underline consisting of thick long dashed characters beneath all characters in this run.

### DOT_DASH

    public static final UnderlinePatterns DOT_DASH

  Specifies an underline consisting of a series of dash, dot characters beneath all characters in this run.

### DASH_DOT_HEAVY

    public static final UnderlinePatterns DASH_DOT_HEAVY

  Specifies an underline consisting of a series of thick dash, dot characters beneath all characters in this run.

### DOT_DOT_DASH

    public static final UnderlinePatterns DOT_DOT_DASH

  Specifies an underline consisting of a series of dash, dot, dot characters beneath all characters in this run.

### DASH_DOT_DOT_HEAVY

    public static final UnderlinePatterns DASH_DOT_DOT_HEAVY

  Specifies an underline consisting of a series of thick dash, dot, dot characters beneath all characters in this run.

### WAVE

    public static final UnderlinePatterns WAVE

  Specifies an underline consisting of a single wavy line beneath all characters in this run.

### WAVY_HEAVY

    public static final UnderlinePatterns WAVY_HEAVY

  Specifies an underline consisting of a single thick wavy line beneath all characters in this run.

### WAVY_DOUBLE

    public static final UnderlinePatterns WAVY_DOUBLE

  Specifies an underline consisting of a pair of wavy lines beneath all characters in this run.

### NONE

    public static final UnderlinePatterns NONE

  Specifies no underline beneath this run.

Method Detail

### getValue

    public int getValue()

### values

    public static UnderlinePatterns[] values()

### valueOf

    public static UnderlinePatterns valueOf(int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD